> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Streaming

> *Rate limit: 100 requests / 10 seconds per shop. See [Rate limiting](/guides/rate-limiting).*

Sets streaming status to started for specified services

> [!NOTE]
>
> **OAuth scope:** `giveaway_write`
>
> API keys have full access to this endpoint.


## OpenAPI

````yaml openapi/platform.json PUT /open-api/v1.0/streaming/start
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/streaming/start:
    put:
      tags:
        - Streaming
      summary: Set streaming status to started
      description: >-
        *Rate limit: 100 requests / 10 seconds per shop. See [Rate
        limiting](/guides/rate-limiting).*


        Sets streaming status to started for specified services
      operationId: start-streaming
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/com.fourthwall.app.openapi.endpoint.StreamingStartedRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1
        '429':
          description: 'Rate limited: 100 requests / 10 seconds per shop.'
          content:
            application/json:
              examples:
                too-many-requests:
                  value:
                    code: OPEN_API_TOO_MANY_REQUESTS
                    title: Too many requests
                    status: 429
      security:
        - bearerAuth: []
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/streaming/start-streaming
components:
  schemas:
    com.fourthwall.app.openapi.endpoint.StreamingStartedRequest:
      type: object
      properties:
        services:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service.Twitch
      required:
        - services
      title: Streaming Started Request
    com.fourthwall.openapi.model.StreamingStatusV1:
      type: object
      properties:
        shopId:
          type: string
        services:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch
      required:
        - services
        - shopId
      title: Streaming Status
    com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service.Twitch:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service
        - type: object
          properties:
            broadcasterId:
              type: string
            broadcasterLogin:
              type: string
            thumbnailUrl:
              type: string
      required:
        - broadcasterId
        - broadcasterLogin
      title: Twitch
    com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service
        - type: object
          properties:
            status:
              type: string
              enum:
                - ONLINE
                - OFFLINE
            broadcasterId:
              type: string
            broadcasterLogin:
              type: string
            thumbnailUrl:
              type: string
        - type: object
          properties:
            type:
              type: string
              const: TWITCH
      required:
        - status
      title: Twitch
    com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service:
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
      required:
        - type
      title: Service
    com.fourthwall.openapi.model.StreamingStatusV1.Service:
      discriminator:
        propertyName: type
        mapping:
          TWITCH: >-
            #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch
      properties:
        type:
          type: string
      required:
        - type
      title: Service
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 access token, sent as `Authorization: Bearer <token>`. See
        https://docs.fourthwall.com/guides/oauth. The scopes an operation
        requires are listed in its `x-fourthwall-scopes`.
    basicAuth:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.